Bug 656736 - Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed
Summary: Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (wi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 00:40 UTC by Bernie Innocenti
Modified: 2015-10-15 00:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:18:56 UTC
Type: ---


Attachments (Terms of Use)

Description Bernie Innocenti 2010-11-24 00:40:04 UTC
I get four of these errors in ~/.xsession-errors every time I hover on the battery icon:

(gnome-power-manager:1668): Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed

(gnome-power-manager:1668): Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed

(gnome-power-manager:1668): Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed

(gnome-power-manager:1668): Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed

Comment 1 Anne Ghisla 2010-12-15 08:41:39 UTC
I confirm the behaviour on up-to-date Fedora 14. The same error is raised also by nm-applet and gnome-volume-control-applet.

Actually i stumbled upon this bug while looking for the same error raised by hovering on Dropbox icon, but the messages are displayed in any foreground shell.

Comment 2 Austin Page 2010-12-20 18:16:35 UTC
I got this same error with another applet. I turned off compiz (compiz started with fusion-icon), and the applet behaved correctly. (i turned compiz back on after i made my changes)

Seems to be some sort of interaction between the applets and compiz (or compiz fusion?)

Let me know if you want me to do any further testing.

Comment 3 l8rleg8r 2010-12-29 08:51:51 UTC
I can easily reproduce this on my system using zenity on Fedora 14 : 2.6.35.10-74.fc14.x86_64

  $ zenity --notification --text 'hello'

Hover the mouse over the notification icon and the assertion messages appear:

(zenity:7057): Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed

(zenity:7057): Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed

(zenity:7057): Gdk-CRITICAL **: IA__gdk_window_get_root_coords: assertion `GDK_IS_WINDOW (window)' failed

Comment 4 Jens Petersen 2011-04-04 09:01:58 UTC
Could this be a gtk2 issue?

Comment 5 Fedora End Of Life 2012-08-16 19:18:59 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 benjaminmoody 2015-10-13 21:29:35 UTC
This is still a bug in EL6 (gtk2-2.24.23-6.el6.x86_64), as can be seen by running the command in comment #3.

Here is a simple program that exhibits the same bug:

#include <gtk/gtk.h>

int main(int argc, char **argv)
{
  GtkStatusIcon *icon;
  gtk_init(&argc, &argv);
  icon = gtk_status_icon_new();
  gtk_status_icon_set_from_stock(icon, GTK_STOCK_YES);
  gtk_status_icon_set_tooltip_text(icon, "Hello, world");
  gtk_main();
  return 0;
}


Note You need to log in before you can comment on or make changes to this bug.